
TYPO3.Flow - Task # 2118

Status: Resolved Priority: Must have
Author: Robert Lemke Category: MVC
Created: 2008-11-11 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Decouple MVC and Security
Description

Remove dependencies between MVC and Security Framework (in Dispatcher)

Associated revisions
Revision aa95e6e5 - 2009-01-26 15:37 - Robert Lemke

    -  FLOW3: (Security) Renamed the aspect InterceptorInvocation to PolicyEnforcementAspect
    -  FLOW3: (Security) Completely removed the security code from the MVC dispatcher. Instead it is now woven in by advices in the new
RequestDispatchingAspect. Resolves #2118
    -  FLOW3: (Security) The old and the new aspect are now only active if security is enabled. That means: No security related proxies are generated if
security is turned off. Addresses #2118
    -  FLOW3: (Security) Security is now (again) enabled by default. But that doesn't mean that everything is secure yet ...
    -  FLOW3: (AOP) Fixed the "Setting" poinctut designator by adding the class to the Objects configuration.

History
#1 - 2008-12-16 13:25 - Karsten Dambekalns
- Category set to Security

By now security can be switched off, but there are still dependencies in the code.

#2 - 2009-01-26 13:33 - Robert Lemke
- Category changed from Security to MVC
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#3 - 2009-01-26 15:40 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1792.
